<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" >
	<script src="http://maps.google.com/maps/api/js?sensor=false"><!-- --></script>

<script>
//	window.onload = load;
	window.addEventListener('load', load, false);			// 8.3.0.0 (2022/08/01)
	var map;
	var icon;
	// 初期表示
	function load(){
		// 地図中央の指定
		var latlng	= new google.maps.LatLng({@IDO},{@KEIDO});
		// ｽｹｰﾙの指定
		var scale	= Number("{@SCALE}");
		var myOptions = {
			zoom: scale,
			center: latlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		// mapの設定
		map = new google.maps.Map(document.getElementById("map"),myOptions);

		// marker1の設定
		var latlng1 = new google.maps.LatLng({@IDO},{@KEIDO}); // 位置情報
		var marker1 = new google.maps.Marker({
							position: latlng1,
							map:map,
							title: "村田機械株式会社\n京都本社"
						});
		// marker2の設定
		var latlng2 = new google.maps.LatLng({@TO}); // 位置情報
		var marker2 = new google.maps.Marker({
							position: latlng2,
							map:map,
							title: "ムラテック\nメカトロニクス\n本社・滋賀事業所"
						});

	}
</script>
</og:head>

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "TEST07"
	title	= "GoogleMap"
	date	= "2015/09/05"
	author	= "Takahashi Masakazu"
	text	= ""
	version	= "001"
/>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<div id="map" style="position:relative;left:30px; top:30px; width:700px;height:500px"></div>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>

